VERSION 5.00
Object = "{3A75EE84-8E64-43F4-A904-E4835B9A3DB4}#3.9#0"; "DICOMax.ocx"
Begin VB.Form frmDICOMDir 
   Caption         =   "DICOMDir Explorer"
   ClientHeight    =   8865
   ClientLeft      =   4770
   ClientTop       =   1725
   ClientWidth     =   12390
   LinkTopic       =   "Form1"
   ScaleHeight     =   8865
   ScaleWidth      =   12390
   StartUpPosition =   2  'Ļ
   Begin VB.Frame Frame2 
      Caption         =   "Image Preview"
      Height          =   8655
      Left            =   3360
      TabIndex        =   11
      Top             =   120
      Width           =   8895
      Begin DICOMax.DICOMX DICOMX1 
         Height          =   8295
         Left            =   120
         TabIndex        =   12
         Top             =   240
         Width           =   8655
         Object.Visible         =   -1  'True
         BorderStyle     =   1
         Enabled         =   -1  'True
         ImageSlicesCurrent=   0
         ImageZoomPct    =   100
         ImageSmoothOn   =   -1  'True
         ImageWinCenter  =   0
         ImageWinWidth   =   0
         ImageOverlayOn  =   0   'False
         ImageOverlayColor=   1
         ImageColorScheme=   1
         ImageTool       =   1
         ToolBarVisible  =   0   'False
         ImageZoomBestFit=   0   'False
         ImageUseRefContrast=   -1  'True
         ImageShowHeaderInfo=   0   'False
         OpenFileName    =   ""
         ToolBarPos      =   1
         DICOMInstitutionName=   "Anonymous"
         DICOMCityName   =   "Unknow"
         DICOMStudyDescrp=   "Functional"
         DICOMManufacturer=   "http://www.dicom3.cn/"
         DICOMSeriesTag  =   ""
         DICOMPatientName=   "NO Name"
         DICOMPatientID  =   "No ID"
         DICOMModality   =   "OT"
         DICOMSOPClassUID=   ""
         DICOMSOPInstanceUID=   ""
         ImagePOS        =   5
         ImageVScrollPosition=   0
         ImageHScrollPosition=   0
         DICOMPatientBirthDate=   "Unknow"
         DICOMPatientSex =   "Unknow"
         ImageOverlayLanguage=   1
         ImageMagnifyZoomSize=   2
         DICOMStudyDate  =   ""
         DICOMSeriesDate =   ""
         DICOMImageDate  =   ""
         DICOMStudyTime  =   ""
         DICOMSeriesTime =   ""
         DICOMImageTime  =   ""
         DICOMSeriesNumber=   0
         DICOMImageNumber=   0
         OpenUrlFileName =   ""
         DICOMRefPhyName =   ""
         DICOMStudyInstanceUID=   ""
         DICOMSeriesInstanceUID=   ""
         DICOMStudyID    =   ""
         ImageMeasureMaxItem=   8
         ImageMeasureResultIndex=   1
         ImageXGRGBColor =   1
         DICOMDirStudyPos=   1
         DICOMDirSeriesPos=   1
         DICOMDirImagePos=   1
         DICOMImplementationClassUID=   ""
         DICOMImplementationVersionName=   ""
         DICOMSourceApplicationEntityTitle=   ""
         FrameOfReferenceUID=   ""
         ImageMeasureFontSize=   8
         ImageMeasureTextPreSet=   "ע"
         ImageMeasureTextFontSize=   8
         ImageMeasureSelectIndex=   0
         OCXLanguage     =   0
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "DICOMDIR"
      Height          =   8655
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3135
      Begin VB.ListBox lstImage 
         Height          =   3840
         Left            =   120
         TabIndex        =   10
         Top             =   4680
         Width           =   2895
      End
      Begin VB.ListBox lstSeries 
         Height          =   1140
         Left            =   120
         TabIndex        =   8
         Top             =   3120
         Width           =   2895
      End
      Begin VB.ListBox lstStudy 
         Height          =   600
         Left            =   120
         TabIndex        =   6
         Top             =   2040
         Width           =   2895
      End
      Begin VB.ListBox lstPatient 
         Height          =   420
         Left            =   120
         TabIndex        =   3
         Top             =   1200
         Width           =   2895
      End
      Begin VB.CommandButton Command1 
         Caption         =   "Open DICOMDir"
         Height          =   375
         Left            =   1680
         TabIndex        =   2
         Top             =   360
         Width           =   1335
      End
      Begin VB.TextBox Text1 
         Height          =   375
         Left            =   120
         TabIndex        =   1
         Text            =   "I:"
         Top             =   360
         Width           =   1455
      End
      Begin VB.Label Label4 
         Caption         =   "Image"
         Height          =   255
         Left            =   120
         TabIndex        =   9
         Top             =   4440
         Width           =   2895
      End
      Begin VB.Label Label3 
         Caption         =   "Series"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   2880
         Width           =   2895
      End
      Begin VB.Label Label2 
         Caption         =   "Study"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   1800
         Width           =   2895
      End
      Begin VB.Label Label1 
         Caption         =   "Patient"
         Height          =   255
         Left            =   120
         TabIndex        =   4
         Top             =   960
         Width           =   2895
      End
   End
End
Attribute VB_Name = "frmDICOMDir"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim i As Integer

Private Sub Command1_Click()
    'open DICOMDir
    DICOMX1.OpenDICOMDir = Text1.Text
    'if successes
    If DICOMX1.DICOMDirLastOpenSuccess Then
        lstPatient.Clear
        If DICOMX1.DICOMDirPatientName <> "" Then
            lstPatient.AddItem DICOMX1.DICOMDirPatientName
        Else
            lstPatient.AddItem "No Patient Name"
        End If
        
        lstStudy.Clear
        If DICOMX1.DICOMDirStudyCount > 0 Then
            For i = 1 To DICOMX1.DICOMDirStudyCount
                DICOMX1.DICOMDirStudyPos = i
                lstStudy.AddItem DICOMX1.DICOMDirStudyDateCurrent + " , " + DICOMX1.DICOMDirStudyTimeCurrent + " , " + DICOMX1.DICOMDirStudyDescriptionCurrent
            Next i
            DICOMX1.DICOMDirStudyPos = 1
        End If
        
        lstSeries.Clear
        If DICOMX1.DICOMDirSeriesCount > 0 Then
            For i = 1 To DICOMX1.DICOMDirSeriesCount
                DICOMX1.DICOMDirSeriesPos = i
                lstSeries.AddItem "[" + DICOMX1.DICOMDirSeriesModalityCurrent + "] (" + CStr(DICOMX1.DICOMDirSeriesImageCountCurrent) + ")Images , " + DICOMX1.DICOMDirSeriesDateCurrent + " , " + DICOMX1.DICOMDirSeriesTimeCurrent + " , " + DICOMX1.DICOMDirSeriesDescriptionCurrent
            Next i
            DICOMX1.DICOMDirSeriesPos = 1
        End If
        
        lstImage.Clear
        If (DICOMX1.DICOMDirSeriesPos > 0) And (DICOMX1.DICOMDirSeriesImageCountCurrent > 0) Then
            For i = 1 To DICOMX1.DICOMDirSeriesImageCountCurrent
                DICOMX1.DICOMDirImagePos = i
                lstImage.AddItem DICOMX1.DICOMDirImageFileTypeCurrent + " , " + DICOMX1.DICOMDirImageFileNameCurrent
            Next i
            DICOMX1.DICOMDirImagePos = 1
        End If
        
        
    End If
    
End Sub

Private Sub Form_Load()
    DICOMX1.ImageZoomBestFit = True
End Sub

Private Sub lstImage_Click()
Dim sFileName As String

        i = lstImage.ListIndex + 1
        If (i < 1) Or (i > 128) Then
            Exit Sub
        Else
            DICOMX1.DICOMDirImagePos = i
        End If
        
        If DICOMX1.DICOMDirImageFileNameCurrent <> "" Then
            If (InStr(1, Text1.Text, "DICOMDIR", vbTextCompare)) = 0 Then
                If Right(Text1.Text, 1) = "\" Then
                    sFileName = Text1.Text + DICOMX1.DICOMDirImageFileNameCurrent
                Else
                    sFileName = Text1.Text + "\" + DICOMX1.DICOMDirImageFileNameCurrent
                End If
            Else
                sFileName = Left(Text1.Text, InStr(1, Text1.Text, "DICOMDIR", vbTextCompare) - 1) + "\" + DICOMX1.DICOMDirImageFileNameCurrent
            End If
            
            If Dir(Trim(sFileName)) <> "" Then
                DICOMX1.OpenFileName = sFileName
            End If
        
        End If

End Sub

Private Sub lstSeries_Click()
Dim i As Integer

        i = lstSeries.ListIndex + 1
        If (i < 1) Or (i > 16) Then
            Exit Sub
        Else
            DICOMX1.DICOMDirSeriesPos = i
        End If
    
        lstImage.Clear
        If (DICOMX1.DICOMDirSeriesPos > 0) And (DICOMX1.DICOMDirSeriesImageCountCurrent > 0) Then
            For i = 1 To DICOMX1.DICOMDirSeriesImageCountCurrent
                DICOMX1.DICOMDirImagePos = i
                lstImage.AddItem DICOMX1.DICOMDirImageFileTypeCurrent + " , " + DICOMX1.DICOMDirImageFileNameCurrent
            Next i
            DICOMX1.DICOMDirImagePos = 1
        End If

End Sub
